package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 生产计划及月报对象 t_monthplan
 *
 * @author ruoyi
 * @date 2020-11-26
 */
public class TMonthplan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 月度计划唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 年 */
    @Excel(name = "年")
    private Long year;

    /** ETHYLENE */
    @Excel(name = "ETHYLENE")
    private String ethylene;

    /** BTX */
    @Excel(name = "BTX")
    private String btx;

    /** KPI */
    @Excel(name = "KPI")
    private String kpi;

    /** 一月 */
    @Excel(name = "一月")
    private Double jan;

    /** 二月 */
    @Excel(name = "二月")
    private Double feb;

    /** 三月 */
    @Excel(name = "三月")
    private Double mar;

    /** 四月 */
    @Excel(name = "四月")
    private Double apr;

    /** 五月 */
    @Excel(name = "五月")
    private Double may;

    /** 六月 */
    @Excel(name = "六月")
    private Double jun;

    /** 七月 */
    @Excel(name = "七月")
    private Double jul;

    /** 八月 */
    @Excel(name = "八月")
    private Double aug;

    /** 九月 */
    @Excel(name = "九月")
    private Double sep;

    /** 十月 */
    @Excel(name = "十月")
    private Double oct;

    /** 十一月 */
    @Excel(name = "十一月")
    private Double nov;

    /** 十二月 */
    @Excel(name = "十二月")
    private Double dec;

    /** YTD */
    @Excel(name = "YTD")
    private Double ytd;

    /** TARGET */
    @Excel(name = "TARGET")
    private Double target;

    /** $column.columnComment */
    @Excel(name = "SORT")
    private Long sort;

    /** 1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放 */
    @Excel(name = "1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放")
    private Long item;

    /** 状态 0：正常；2：删除 */
    private Long delFlag;

    /** $column.columnComment */
    @Excel(name = "1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放")
    private String createrCode;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** $column.columnComment */
    @Excel(name = "1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放")
    private String updaterCode;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "1：乙烯 2：轻质芳烃 3：产能利用率/工厂损失 4：能用消耗 5：COD排放", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setEthylene(String ethylene)
    {
        this.ethylene = ethylene;
    }

    public String getEthylene()
    {
        return ethylene;
    }
    public void setBtx(String btx)
    {
        this.btx = btx;
    }

    public String getBtx()
    {
        return btx;
    }
    public void setKpi(String kpi)
    {
        this.kpi = kpi;
    }

    public String getKpi()
    {
        return kpi;
    }
    public void setJan(Double jan)
    {
        this.jan = jan;
    }

    public Double getJan()
    {
        return jan;
    }
    public void setFeb(Double feb)
    {
        this.feb = feb;
    }

    public Double getFeb()
    {
        return feb;
    }
    public void setMar(Double mar)
    {
        this.mar = mar;
    }

    public Double getMar()
    {
        return mar;
    }
    public void setApr(Double apr)
    {
        this.apr = apr;
    }

    public Double getApr()
    {
        return apr;
    }
    public void setMay(Double may)
    {
        this.may = may;
    }

    public Double getMay()
    {
        return may;
    }
    public void setJun(Double jun)
    {
        this.jun = jun;
    }

    public Double getJun()
    {
        return jun;
    }
    public void setJul(Double jul)
    {
        this.jul = jul;
    }

    public Double getJul()
    {
        return jul;
    }
    public void setAug(Double aug)
    {
        this.aug = aug;
    }

    public Double getAug()
    {
        return aug;
    }
    public void setSep(Double sep)
    {
        this.sep = sep;
    }

    public Double getSep()
    {
        return sep;
    }
    public void setOct(Double oct)
    {
        this.oct = oct;
    }

    public Double getOct()
    {
        return oct;
    }
    public void setNov(Double nov)
    {
        this.nov = nov;
    }

    public Double getNov()
    {
        return nov;
    }
    public void setDec(Double dec)
    {
        this.dec = dec;
    }

    public Double getDec()
    {
        return dec;
    }
    public void setYtd(Double ytd)
    {
        this.ytd = ytd;
    }

    public Double getYtd()
    {
        return ytd;
    }
    public void setTarget(Double target)
    {
        this.target = target;
    }

    public Double getTarget()
    {
        return target;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setItem(Long item)
    {
        this.item = item;
    }

    public Long getItem()
    {
        return item;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("year", getYear())
                .append("ethylene", getEthylene())
                .append("btx", getBtx())
                .append("kpi", getKpi())
                .append("jan", getJan())
                .append("feb", getFeb())
                .append("mar", getMar())
                .append("apr", getApr())
                .append("may", getMay())
                .append("jun", getJun())
                .append("jul", getJul())
                .append("aug", getAug())
                .append("sep", getSep())
                .append("oct", getOct())
                .append("nov", getNov())
                .append("dec", getDec())
                .append("ytd", getYtd())
                .append("target", getTarget())
                .append("sort", getSort())
                .append("item", getItem())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .toString();
    }
}
